GET content_blocks/list
Operation ID: listAvailableContentBlocks
Auth: unknown
Description
This endpoint will list existing Content Block information. ### Successful Response Properties ```json Content-Type: application/json Authorization: Bearer YOUR_REST_API_KEY { "count": "integer", "content_blocks": [ { "content_block_id": "string", "name": "string", "content_type": "html or text", "liquid_tag": "string", "inclusion_count" : "integer", "created_at": "time-in-iso", "last_edited": "time-in-iso", "tags" : "array of strings" } ] } ``` ### Possible Errors - `Modified after time is invalid.` The date you have provided is not a valid or parsable date. Please reformat this value as a string in ISO 8601 format (`yyyy-mm-ddThh:mm:ss.ffffff`). - `Modified before time is invalid.` The date you have provided is not a valid or parsable date. Please reformat this value as a string in ISO 8601 format (`yyyy-mm-ddThh:mm:ss.ffffff`). - `Modified after time must be earlier than or the same as modified before time.` - `Content Block number limit is invalid.` The `limit` parameter must be an integer (positive number) greater than 0. - `Content Block number limit must be greater than 0.` The `limit` parameter must be an integer (positive number) greater than 0. - `Content Block number limit exceeds maximum of 1000.` The `limit` parameter must be an integer (positive number) greater than 0. - `Offset is invalid.` The `offset` parameter must be an integer (positive number) greater than 0. - `Offset must be greater than 0.` The `offset` parameter must be an integer (positive number) greater than 0.
Parameters (4)
(string, query, optional)
(Optional) Positive Number Maximum number of content blocks to retrieve, default to 100 if not provided, maximum acceptable value is 1000.
(string, query, optional)
(Optional) String in ISO 8601 Retrieve only content blocks updated at or after the given time.
(string, query, optional)
(Optional) String in ISO 8601 Retrieve only content blocks updated at or before the given time.
(string, query, optional)
(Optional) Positive Number Number of content blocks to skip before returning rest of the templates that fit the search criteria.
No probe data for this endpoint yet.